<?php
/* ------------------------------------------------------------------------- *
 *  Dynamic styles
/* ------------------------------------------------------------------------- */

if (!function_exists('newsmachine_get_inline_css')):
    /**
     * Outputs theme custom CSS.
     *
     * @since 1.0.0
     */
    function newsmachine_get_inline_css()
    {
        $defaults = newsmachine_get_all_customizer_default_values();
        $background_color = get_theme_mod('background_color');

        $newsmachine_site_logo_height = newsmachine_get_option('newsmachine_site_logo_height');

        ob_start();
        ?>
        <?php if (!empty($background_color) && $background_color != 'ffffff'):
            ?>
            :root {
            --wpi--base-bg-color: #<?php echo esc_attr($background_color); ?>;
            }
        <?php endif; ?>

        <?php if ($newsmachine_site_logo_height !== $defaults['newsmachine_site_logo_height']): ?>
            .site-logo img {
            height:<?php echo absint($newsmachine_site_logo_height); ?>px;
            }
        <?php endif; ?>
        <?php
        return ob_get_clean();
    }
endif;
